Package com.sap.ai.sdk.orchestration.spring

# Class OrchestrationChatOptions

java.lang.Object
com.sap.ai.sdk.orchestration.spring.OrchestrationChatOptions

All Implemented Interfaces:
  `org.springframework.ai.chat.prompt.ChatOptions`, `org.springframework.ai.model.ModelOptions`, `org.springframework.ai.model.tool.ToolCallingChatOptions`

public class OrchestrationChatOptions extends Object implements org.springframework.ai.model.tool.ToolCallingChatOptions
Configuration to be used for orchestration requests.

Since:
  1.2.0

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface org.springframework.ai.model.tool.ToolCallingChatOptions

  `org.springframework.ai.model.tool.ToolCallingChatOptions.Builder`

- ## Field Summary

  ### Fields inherited from interface org.springframework.ai.model.tool.ToolCallingChatOptions

  `DEFAULT_TOOL_EXECUTION_ENABLED`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `OrchestrationChatOptions(OrchestrationModuleConfig config)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected boolean`
  `canEqual(Object other)`
  `<T extends org.springframework.ai.chat.prompt.ChatOptions>
  T`
  `copy()`
  Returns a copy of this `OrchestrationChatOptions`.
  `boolean`
  `equals(Object o)`
  `OrchestrationModuleConfig`
  `getConfig()`
  `Double`
  `getFrequencyPenalty()`
  Returns the frequency penalty to use for the chat.
  `Boolean`
  `getInternalToolExecutionEnabled()`
  `Integer`
  `getMaxTokens()`
  Returns the maximum number of tokens to use for the chat.
  `String`
  `getModel()`
  Returns the model to use for the chat.
  `String`
  `getModelVersion()`
  Returns the model version to use for the chat.
  `Double`
  `getPresencePenalty()`
  Returns the presence penalty to use for the chat.
  `List<String>`
  `getStopSequences()`
  Returns the stop sequences to use for the chat.
  `Double`
  `getTemperature()`
  Returns the temperature to use for the chat.
  `List<org.springframework.ai.tool.ToolCallback>`
  `getToolCallbacks()`
  `Map<String,Object>`
  `getToolContext()`
  `Set<String>`
  `getToolNames()`
  `Integer`
  `getTopK()`
  Returns the top K to use for the chat.
  `Double`
  `getTopP()`
  Returns the top P to use for the chat.
  `int`
  `hashCode()`
  `void`
  `setConfig(OrchestrationModuleConfig config)`
  `void`
  `setInternalToolExecutionEnabled(Boolean internalToolExecutionEnabled)`
  `void`
  `setToolCallbacks(List<org.springframework.ai.tool.ToolCallback> toolCallbacks)`
  `void`
  `setToolContext(Map<String,Object> toolContext)`
  `void`
  `setToolNames(Set<String> toolNames)`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### OrchestrationChatOptions

    public OrchestrationChatOptions(@Nonnull OrchestrationModuleConfig config)

- ## Method Details

  - ### getModel

    @Nonnull public String getModel()
    Returns the model to use for the chat.
    Specified by:
      `getModel` in interface `org.springframework.ai.chat.prompt.ChatOptions`
    Returns:
      the model to use for the chat
    See Also:
      - `OrchestrationAiModel`

  - ### getModelVersion

    @Nonnull public String getModelVersion()
    Returns the model version to use for the chat. "latest" by default.
    Returns:
      the model version to use for the chat.

  - ### getFrequencyPenalty

    @Nullable public Double getFrequencyPenalty()
    Returns the frequency penalty to use for the chat.
    Specified by:
      `getFrequencyPenalty` in interface `org.springframework.ai.chat.prompt.ChatOptions`
    Returns:
      the frequency penalty to use for the chat

  - ### getMaxTokens

    @Nullable public Integer getMaxTokens()
    Returns the maximum number of tokens to use for the chat.
    Specified by:
      `getMaxTokens` in interface `org.springframework.ai.chat.prompt.ChatOptions`
    Returns:
      the maximum number of tokens to use for the chat

  - ### getPresencePenalty

    @Nullable public Double getPresencePenalty()
    Returns the presence penalty to use for the chat.
    Specified by:
      `getPresencePenalty` in interface `org.springframework.ai.chat.prompt.ChatOptions`
    Returns:
      the presence penalty to use for the chat

  - ### getStopSequences

    @Nullable public List<String> getStopSequences()
    Returns the stop sequences to use for the chat.
    Specified by:
      `getStopSequences` in interface `org.springframework.ai.chat.prompt.ChatOptions`
    Returns:
      the stop sequences to use for the chat

  - ### getTemperature

    @Nullable public Double getTemperature()
    Returns the temperature to use for the chat.
    Specified by:
      `getTemperature` in interface `org.springframework.ai.chat.prompt.ChatOptions`
    Returns:
      the temperature to use for the chat

  - ### getTopK

    @Nullable public Integer getTopK()
    Returns the top K to use for the chat.
    Specified by:
      `getTopK` in interface `org.springframework.ai.chat.prompt.ChatOptions`
    Returns:
      the top K to use for the chat

  - ### getTopP

    @Nullable public Double getTopP()
    Returns the top P to use for the chat.
    Specified by:
      `getTopP` in interface `org.springframework.ai.chat.prompt.ChatOptions`
    Returns:
      the top P to use for the chat

  - ### copy

    @Nonnull public <T extends org.springframework.ai.chat.prompt.ChatOptions> T copy()
    Returns a copy of this `OrchestrationChatOptions`.
    Specified by:
      `copy` in interface `org.springframework.ai.chat.prompt.ChatOptions`
    Returns:
      a copy of this `OrchestrationChatOptions`

  - ### setToolCallbacks

    public void setToolCallbacks(@Nonnull List<org.springframework.ai.tool.ToolCallback> toolCallbacks)
    Specified by:
      `setToolCallbacks` in interface `org.springframework.ai.model.tool.ToolCallingChatOptions`

  - ### getInternalToolExecutionEnabled

    @Nullable public Boolean getInternalToolExecutionEnabled()
    Specified by:
      `getInternalToolExecutionEnabled` in interface `org.springframework.ai.model.tool.ToolCallingChatOptions`

  - ### getConfig

    @Nonnull public OrchestrationModuleConfig getConfig()

  - ### getToolCallbacks

    @Nonnull public List<org.springframework.ai.tool.ToolCallback> getToolCallbacks()
    Specified by:
      `getToolCallbacks` in interface `org.springframework.ai.model.tool.ToolCallingChatOptions`

  - ### getToolNames

    @Nonnull public Set<String> getToolNames()
    Specified by:
      `getToolNames` in interface `org.springframework.ai.model.tool.ToolCallingChatOptions`

  - ### getToolContext

    @Nonnull public Map<String,Object> getToolContext()
    Specified by:
      `getToolContext` in interface `org.springframework.ai.model.tool.ToolCallingChatOptions`

  - ### setConfig

    public void setConfig(@Nonnull OrchestrationModuleConfig config)

  - ### setInternalToolExecutionEnabled

    public void setInternalToolExecutionEnabled(@Nullable Boolean internalToolExecutionEnabled)
    Specified by:
      `setInternalToolExecutionEnabled` in interface `org.springframework.ai.model.tool.ToolCallingChatOptions`

  - ### setToolNames

    public void setToolNames(@Nonnull Set<String> toolNames)
    Specified by:
      `setToolNames` in interface `org.springframework.ai.model.tool.ToolCallingChatOptions`

  - ### setToolContext

    public void setToolContext(@Nonnull Map<String,Object> toolContext)
    Specified by:
      `setToolContext` in interface `org.springframework.ai.model.tool.ToolCallingChatOptions`

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### canEqual

    protected boolean canEqual(Object other)

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`